/* @import url("https://fonts.googleapis.com/css?family=Poppins:100,200,300,400,500,600,700,800,900"); */
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap");

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    /* font-family: "Poppins", sans-serif; */
}

:root {
    --clr: #222327;
}

.navigation {
    width: 447px;
    height: 70px;
    background: rgba(34, 50, 69, 0.5);
    backdrop-filter: blur(30px);
    border: 2px solid rgba(255, 255, 255, 0.1);
    /* border: 1px solid rgba(255, 255, 255, 0.25);
  border-top: 1px solid rgba(255, 255, 255, 0.5);
  border-left: 1px solid rgba(255, 255, 255, 0.5); */
    box-shadow: 0 15px 35px rgba(0, 0, 0, 0.05);
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50px;
}
@media screen and (max-width: 500px) {
    .navigation {
        width: 347px;
    }
}

.navigation ul {
    display: flex;
    width: 350px;
}

.navigation ul li {
    position: relative;
    list-style: none;
    width: 70px;
    height: 70px;
    z-index: 1;
}

.navigation ul li a {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    width: 100%;
    font-weight: 500;
}

.navigation ul li a .icon {
    position: relative;
    display: block;
    line-height: 75px;
    font-size: 1.5em;
    text-align: center;
    transition: 0.5s;
    color: white;
}

.navigation ul li.activee a .icon {
transform: translateY(-35px);
}


.navigation ul li a .text {
    position: absolute;
    color: var(--clr);
    font-weight: 400;
    font-size: 0.75em;
    letter-spacing: 0.05em;
    transition: 0.5s;
    opacity: 0;
    transform: translateY(20px);
}

.navigation ul li.activee a .text {
opacity: 1;
transform: translateY(10px);
}

.text {
    color: rgba(208, 235, 251, 1) !important;
}

.list {
    margin-top: 60px;
}

.indicator {
    position: absolute;
    top: -50%;
    width: 70px;
    height: 70px;
    background: var(--gradient-2);
    backdrop-filter: blur(30px);
    border: 2px solid rgba(53, 65, 82, 1);
    /* border-top: 1px solid rgba(255, 255, 255, 0.5); */
    /* border-left: 1px solid rgba(255, 255, 255, 0.5); */
    box-shadow: 0 15px 35px rgba(0, 0, 0, 0.05);
    border-radius: 50%;
    /* border-bottom: 6px solid var(--clr);
  border-left: 6px solid var(--clr);
  border-right: 6px solid var(--clr); */
    /* border: 6px solid var(--clr); */
    transition: 0.5s;
}

/* .indicator::before { */
/*     content: ""; */
/*     position: absolute; */
/*     top: 50%; */
/*     left: -22px; */
/*     width: 20px; */
/*     height: 20px; */
/*     border-top-right-radius: 20px; */
/*     box-shadow: 1px -10px 0 0 var(--clr); */
/* } */
/* */
/* .indicator::after { */
/*     content: ""; */
/*     position: absolute; */
/*     top: 50%; */
/*     right: -22px; */
/*     width: 20px; */
/*     height: 20px; */
/*     border-top-left-radius: 20px; */
/*     box-shadow: -1px -10px 0 0 var(--clr); */
/* } */

.navigation ul li:nth-child(1).activee ~ .indicator {
    transform: translateX(calc(70px * 0));
}

.navigation ul li:nth-child(2).activee ~ .indicator {
    transform: translateX(calc(70px * 1));
}

.navigation ul li:nth-child(3).activee ~ .indicator {
    transform: translateX(calc(70px * 2));
}

.navigation ul li:nth-child(4).activee ~ .indicator {
    transform: translateX(calc(70px * 3));
}

.navigation ul li:nth-child(5).activee ~ .indicator {
    transform: translateX(calc(70px * 4));
}
